---
title: Setup
description: Instructions for the setup of VehiclesPlus.
published: true
date: 2024-04-07T10:58:30.366Z
tags: 
editor: markdown
dateCreated: 2023-02-16T21:10:41.502Z
---

# Plugin installation
**Supported Versions:** VehiclesPlus works on all Spigot/Paper versions from 1.12.x, **except 1.14.x**!

### Step 1: Check your Java version

VehiclesPlus requires **Java 11** or higher. Make sure your server is compatible with Java 11 or higher.

### Step 2: Download the latest version

Download the latest stable version from [SpigotMC](https://www.spigotmc.org/resources/vehiclesplus-1-12-1-20-4.70523/) or [Polymart](https://polymart.org/resource/vehiclesplus-1-12-1-20-4.633).

Put the .jar file into the `/plugins` folder of your server.

### Step 3: Download the dependencies
> VehiclesPlus **requires** additional plugins to work correctly. The plugin __WON'T LOAD__ without them.
{.is-warning}

VehiclesPlus requires [ProtocolLib](https://www.spigotmc.org/resources/protocollib.1997/), [Vault](https://www.spigotmc.org/resources/vault.34315/) and an economy plugin (like [EssentialsX](https://essentialsx.net/downloads.html)) to work. Make sure you have them installed!

### Step 4: Download the example resourcepack
> VehiclesPlus uses items to display the vehicles in your server. **If you don't use the resourcepack, it's not possible to see the vehicles.**
{.is-info}

Download the correct resourcepack for your Minecraft version and test it out in your Minecraft client. 

If you are satisfied, you can install it into your Minecraft server:
1. Open the `server.properties` file.
2. Copy the link of the [Click here](#) button for your server version and paste it after `resource-pack=`.
3. Copy the SHA1 hash for your server version and paste it after `resource-pack-sha1=`.

| Version | Download | SHA1 Hash |
|:---:|:---:|---|
